/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author Jim
 * @version 0.1
 * 2022/5/12 21:34
 */

@Repository
public interface LocationFenceAlarmRepository
    extends JpaRepository<LocationFenceAlarm, Serializable>, JpaSpecificationExecutor<LocationFenceAlarm> {
    /**
     * 批量关闭报警状态
     * @param ids id集
     * @param now 当前时间
     * @return 修改量
     */
    @Query("UPDATE LocationFenceAlarm SET status = 'OVER', updateTime = ?2 WHERE id IN(?1)")
    @Modifying
    int batchOver(List<Long> ids, LocalDateTime now);
}
