/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.rehearsal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/12 11:56
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("演练计划查看回放param")
public class RehearsalPlanPlaybackParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5765142306154131375L;

    @ApiModelProperty(value = "演练计划id", example = "1", required = true)
    @NotNull(message = "演练计划id不能为空")
    private Long id;

    @ApiModelProperty(value = "看回放的开始时间(不传则默认演练开始的时间)")
    private LocalDateTime beginTime;
}
